---
type Props = {
  size: number;
};
const { size } = Astro.props;
---

<svg
  class="logo"
  viewBox="0 0 61 73"
  width={size}
  height={size}
  xmlns="http://www.w3.org/2000/svg"
>
  <style>
    #patte {
      fill: var(--theme-text-accent);
    }
  </style>
  <title>Logo</title>
  <path
    id="patte"
    d="M26.2422 72.6388C24.2717 72.2969 22.2595 71.7011 21.7707 71.3147C21.2819 70.9284 19.2622 70.3996 17.2824 70.1397C11.7508 69.4135 6.06011 65.628 4.22618 61.4545C1.39086 55.002 0.146513 47.58 0.586363 39.7444C0.985596 32.6314 1.46472 30.7885 6.1687 18.2733C8.09034 13.1606 11.9457 7.56323 13.2599 7.97805C13.6191 8.0914 13.7079 7.85034 13.4574 7.44236C13.0257 6.73934 16.5493 3.99607 21.3635 1.28701C25.6915 -1.14839 40.3524 0.053922 46.7696 3.37053C52.1832 6.16843 57.4439 12.6554 59.5658 19.1495C61.1069 23.8657 60.7231 31.4626 58.5493 39.276C55.3709 50.7 54.8604 52.2228 52.3877 57.6565C49.2591 64.5313 46.353 67.5692 40.2334 70.362C34.6724 72.8999 31.0985 73.4815 26.2422 72.6388ZM35.8136 69.1934C36.8238 68.5272 37.6503 67.7456 37.6503 67.4565C37.6503 67.1673 38.9827 66.177 40.6113 65.2558C45.3112 62.5971 51.8101 53.5792 51.8101 49.7162C51.8101 48.8452 52.3466 47.0503 53.0022 45.7276C53.9798 43.7551 54.0342 42.9338 53.3048 41.1613C52.282 38.676 52.9093 34.712 54.4177 34.1294C55.6223 33.6642 57.0169 29.075 57.0228 25.5568C57.0301 21.463 53.6922 15.7912 47.5117 9.39322C43.3499 5.08503 40.6745 4.14878 27.5809 2.41864C25.2033 2.10446 24.1429 2.37881 22.3989 3.75952C21.193 4.71426 19.8476 5.50132 19.4091 5.50853C18.08 5.53036 13.0569 11.6006 13.0569 13.1848C13.0569 13.9991 12.3484 15.3084 11.4825 16.0943C10.6166 16.8802 8.87882 19.7836 7.62083 22.5464C6.36283 25.3092 5.0073 27.3667 4.60851 27.1186C4.2098 26.8705 4.0969 27.0152 4.35775 27.4399C4.61858 27.8647 4.29216 29.8067 3.63252 31.7554C2.74641 34.3729 2.58588 36.3078 3.01783 39.1624C3.33948 41.2877 3.56575 44.883 3.52059 47.152C3.43913 51.2504 3.90194 52.5084 8.21272 59.9077C10.8125 64.3701 13.2621 66.3472 17.9025 67.7283C20.361 68.46 23.211 69.3427 24.2357 69.6898C29.0615 71.3243 32.8272 71.1629 35.8136 69.1934ZM26.5494 57.2531C25.2777 55.7952 23.6953 53.77 23.0329 52.7525C22.0505 51.2434 21.2157 50.9025 18.5033 50.9025C15.7925 50.9025 14.7593 50.4811 12.9124 48.6221C11.0159 46.7134 10.7238 45.9539 11.1198 43.9612C11.6602 41.2417 14.979 37.4008 16.7884 37.4008C17.4578 37.4008 19.3233 36.2675 20.9342 34.8824C24.89 31.4809 26.3878 31.1175 29.0799 32.9055C30.3095 33.7222 32.1708 34.3927 33.216 34.3954C35.3735 34.4008 36.905 35.6409 36.905 37.3819C36.905 38.0316 38.4525 40.0288 40.3437 41.8201C43.7266 45.0242 43.7771 45.1416 43.4552 49.0493C43.2084 52.0442 42.5916 53.6627 40.948 55.6279C38.188 58.9282 36.1701 59.9036 32.103 59.9036C29.3258 59.9036 28.5305 59.5241 26.5494 57.2531ZM43.5544 36.7543C42.028 35.5102 41.7492 34.6254 41.7492 31.0249C41.7492 27.4549 42.0335 26.5351 43.5086 25.3329C47.4248 22.1412 51.2797 24.8012 51.1996 30.64C51.1117 37.0491 47.4799 39.9536 43.5544 36.7543ZM9.51326 35.7843C8.38599 34.6498 8.30252 31.0832 9.35682 29.1004C10.2603 27.4012 13.2333 27.1809 14.5017 28.7192C14.9868 29.3075 15.2794 31.2484 15.1518 33.0323C14.9378 36.0268 14.7482 36.2926 12.6806 36.4969C11.4489 36.6187 10.0236 36.298 9.51326 35.7843ZM34.2672 27.8877C31.7841 25.3885 34.4242 16.3981 37.6413 16.3981C39.5692 16.3981 40.6313 18.5861 40.6313 22.5577C40.6313 28.0911 37.2679 30.908 34.2672 27.8877ZM17.6192 26.2217C17.021 25.8403 16.8357 25.1704 17.1755 24.6171C17.5552 23.9986 17.4585 23.854 16.8983 24.2024C15.5784 25.0234 15.8217 20.0429 17.198 18.0651C19.7902 14.3403 23.3986 17.619 22.3173 22.7167C21.5023 26.5586 19.9566 27.7118 17.6192 26.2217ZM25.8753 25.2492C25.3834 24.7541 24.981 22.7477 24.981 20.7904C24.981 16.3118 27.7332 12.4805 29.9663 13.8504C31.5735 14.8362 32.2474 22.1959 30.9534 24.6296C30.0595 26.3107 27.2683 26.6513 25.8753 25.2492Z"
  ></path>
</svg>
